Update the application settings
curl --request POST \
--url https://api.hubapi.com/marketing/marketing-events/2026-03/{appId}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"eventDetailsUrl": "<string>"
}
'import requests
url = "https://api.hubapi.com/marketing/marketing-events/2026-03/{appId}/settings"
payload = { "eventDetailsUrl": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({eventDetailsUrl: '<string>'})
};
fetch('https://api.hubapi.com/marketing/marketing-events/2026-03/{appId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"appId": 123,
"eventDetailsUrl": "<string>"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Settings
Update the application settings
Create or update the current settings for the application.
POST
/
marketing
/
marketing-events
/
2026-03
/
{appId}
/
settings
Update the application settings
Supported products
Supported products
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The id of the application to update the settings for.
Body
application/json
The url that will be used to fetch marketing event details by id. Must contain a %s character sequence that will be substituted with the event id. For example: https://my.event.app/events/%s
Last modified on March 31, 2026
Was this page helpful?
⌘I